package com.itsoulos.buttongame;

import androidx.appcompat.app.AppCompatActivity;

import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

import java.util.Random;

public class MainActivity extends AppCompatActivity {

    LinearLayout mainLayout=null;
    LinearLayout textLayout=null;
    LinearLayout buttonLayout=null;
    TextView remainTries=null;
    TextView infoText=null;
    TextView scoreText=null;
    Button replayButton=null;
    int randomNumber=0;
    Random generator=null;
    Button b1,b2,b3,b4,b5;
    int totalTries=0;
    final int maximumtries=3;
    int totalNumbers=1;
    int foundNumbers=0;
    View.OnClickListener listener=null;

    void replay()
    {
        randomNumber=1+(generator.nextInt()%5);
        totalTries=0;
        ++totalNumbers;
        remainTries.setText("Total tries "+totalTries);
        scoreText.setText("Score :"+foundNumbers+"/"+totalNumbers);
        infoText.setText("Info ");
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        generator=new Random();
        randomNumber=1+(generator.nextInt()%5);
        mainLayout=new LinearLayout(this);
        mainLayout.setOrientation(LinearLayout.VERTICAL);
        setContentView(mainLayout);
        textLayout=new LinearLayout(this);
        buttonLayout=new LinearLayout(this);
        mainLayout.addView(textLayout);
        mainLayout.addView(buttonLayout);

        remainTries=new TextView(this);
        remainTries.setText("Total tries 0");
        remainTries.setBackgroundColor(Color.GREEN);
        textLayout.addView(remainTries);
        infoText=new TextView(this);
        infoText.setText("Info ");
        infoText.setBackgroundColor(Color.BLUE);
        textLayout.addView(infoText);
        scoreText=new TextView(this);
        scoreText.setText("Score : 0/1");
        scoreText.setBackgroundColor(Color.RED);
        textLayout.addView(scoreText);

        LinearLayout.LayoutParams iparams=(LinearLayout.LayoutParams)infoText.getLayoutParams();
        iparams.leftMargin=20;
        iparams.rightMargin=20;
        infoText.setLayoutParams(iparams);
        scoreText.setLayoutParams(iparams);

        b1=new Button(this);
        b1.setId(1);
        b2=new Button(this);
        b2.setId(2);
        b3=new Button(this);
        b3.setId(3);
        b4=new Button(this);
        b4.setId(4);
        b5=new Button(this);
        b5.setId(5);
        buttonLayout.addView(b1);
        b1.setText("B1");

        listener=new View.OnClickListener()
        {

            @Override
            public void onClick(View v) {
                if(totalTries>=maximumtries)
                {
                    infoText.setText("Teleiosan oi prospatheies sou");
                }
                else
                {
                    if(v.getId()==randomNumber)
                    {
                        infoText.setText("To brikes ");
                        foundNumbers++;
                        scoreText.setText("Score :"+foundNumbers+"/"+totalNumbers);
                    }
                    else
                    {
                        totalTries++;
                        remainTries.setText("Total tries "+totalTries);
                    }
                }

            }

        };

        b1.setOnClickListener(listener);
        buttonLayout.addView(b2);
        b2.setText("B2");
        b2.setOnClickListener(listener);
        buttonLayout.addView(b3);
        b3.setText("B3");
        b3.setOnClickListener(listener);
        buttonLayout.addView(b4);
        b4.setText("B4");
        b4.setOnClickListener(listener);
        buttonLayout.addView(b5);
        b5.setText("B5");
        b5.setOnClickListener(listener);

        replayButton=new Button(this);
        replayButton.setText("Replay");
        mainLayout.addView(replayButton);
        replayButton.setOnClickListener(new View.OnClickListener()
        {

            @Override
            public void onClick(View v) {
                replay();

            }

        });
    }
}
